--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Delete one or more resource instances
- !ruby/struct:SM::Flow::VERB 
  body: "  TODO: create example\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [Collection] collection"
- !ruby/struct:SM::Flow::VERB 
  body: "  collection of records to be deleted\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Integer]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the number of records deleted\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Repository#delete
is_singleton: false
name: delete
params: (collection)
visibility: public
